Page MenuHomePhabricator

Please whitelist the domain "archive.org" for sideloading on Commons
Closed, ResolvedPublic

Description

could you please update wgCopyUploadsDomains for commonswiki to add archive.org.

Thanks!

Event Timeline

80686 created this task.Jul 19 2015, 6:52 PM
80686 raised the priority of this task from to Needs Triage.
80686 updated the task description. (Show Details)
80686 added projects: Commons, acl*sre-team.
80686 added a subscriber: 80686.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptJul 19 2015, 6:52 PM
brion added a subscriber: brion.Jul 19 2015, 6:53 PM

We'd like this to upload some video files that were recorded for Wikimania...

brion set Security to None.

"It's not already?" = Probably should do it right away

Change 225731 had a related patch set uploaded (by Brion VIBBER):
Whitelist *.archive.org for wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/225731

Change 225731 merged by Ori.livneh:
Whitelist *.archive.org for wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/225731

Jdforrester-WMF closed this task as Resolved.Jul 19 2015, 7:31 PM
Jdforrester-WMF assigned this task to brion.
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF removed a project: Patch-For-Review.
brion added a comment.Jul 19 2015, 7:58 PM

So we got this config merged but there's some sort of http permissions error :(

80686 added a comment.Jul 19 2015, 8:02 PM

Thanks a lot for merging this so quickly! I am looking into the user agent thing now, will ask the IA people if they could allow ours.

Krenair moved this task from Backlog to Done on the Wikimedia-Site-requests board.Jul 23 2015, 4:51 PM
Restricted Application added a project: Internet-Archive. · View Herald TranscriptNov 13 2015, 1:54 PM
Yann added a subscriber: Yann.Nov 13 2015, 1:59 PM
Yann reopened this task as Open.Nov 13 2015, 2:05 PM

Reopened, as this currently doesn't work.

What error message do you have when you try an upload per URL?

zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Nov 14 2015, 11:23 AM
Dereckson changed the task status from Open to Stalled.Nov 17 2015, 5:14 PM

@Yann Please reopen the issue with two information needed to go on: (i) the procedure you've followed (Glamtools? Special:Upload?), the URL you've tried, the weight of this file (*) and finally the exact error message you've got.

Please note the whitelisting of a domain doesn't mean large files won't timeout

Yann added a comment.Nov 17 2015, 6:44 PM

Trying https://archive.org/download/TheFastandtheFuriousJohnIreland1954goofyrip/TheFastandtheFuriousJohnIreland1954goofyrip.ogv from https://archive.org/details/TheFastandtheFuriousJohnIreland1954goofyrip (300 MB) gives "HTTP request timed out."

Is this limited to 100 MB?
It says "Maximum file size: 1,000 MB (your chosen file from a valid, publicly accessible and whitelisted URL)."

Yann added a comment.Nov 17 2015, 6:45 PM

Above is with Special:Upload and Source URL.

Yann changed the task status from Stalled to Open.Nov 17 2015, 6:46 PM
Dereckson closed this task as Resolved.Nov 17 2015, 6:48 PM

I've experienced the same with *.nasqueron.org, sometimes a 200 Mb file is okay, sometimes it timeouts.

Okay, so let's consider archive.org works well on the whitelist, and open on a new issue for this.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMar 7 2016, 5:02 PM